set_display_switch_callback(3)

NAME
set_display_switch_callback

SYNOPSIS
#include <allegro.h>

int set_display_switch_callback(int dir, void (*cb)());

DESCRIPTION
Installs a notification callback for the switching mode that was previously selected by calling set_display_switch_mode(). The direction parameter can either be SWITCH_IN or SWITCH_OUT, depending whether you want to be notified about switches away from your program or back to your program. You can sometimes install callbacks for both directions at the same time, but not every platform supports this, so this function may return -1 if your request is impossible. You can install several switch callbacks at the same time.

SEE ALSO
remove_display_switch_callback(3), set_display_switch_mode(3)